# List channel input types

Retrieves a paginated list of input types assigned to a channel.

Endpoint: GET /v1/channels/{channelUuid}/input-types
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `channelUuid` (string, required)
    The unique identifier of the channel.

## Query parameters:

  - `uuids[eq]` (array)

  - `typeGroupUuids[eq]` (array)

  - `inputTypeUuids[eq]` (array)

  - `requirementLevels[eq]` (array)
    Enum: "required", "optional"

  - `isScopable[eq]` (boolean)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this channel input type.

  - `items.channelUuid` (string, required)
    Identifier of the channel this input type belongs to.

  - `items.typeGroupUuid` (string, required)
    Identifier of the type group this input type belongs to.

  - `items.inputTypeUuid` (string, required)
    Identifier of the input type.

  - `items.createdAt` (string, required)
    Timestamp when this channel input type was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when this channel input type was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.requirementLevel` (string, required)
    Whether an input type is required or optional for a channel.
    Enum: "required", "optional"

  - `items.isScopable` (boolean, required)
    Whether the input type values can be scoped per channel.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


